Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class DirectoryDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.DirectoryDAO

public class DirectoryDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryDAO(User user, String billingId)`
  `DirectoryDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `chargeTypeList()`
  `List<IdTitle>`
  `getBillingModuleList()`
  `IdTitleTreeItem`
  `getContractChargeTypes(Set<Integer> allowedTypeIds)`
  `IdTitleTreeItem`
  `getContractPaymentTypes(Set<Integer> allowedTypeIds)`
  `List<IdTitle>`
  `getContractStatusList(boolean onlyManual)`
  `long`
  `getDirectoryVersion(String directoryItemClass, int moduleId)`
  `List<IdTitle>`
  `getServiceTypeList(int moduleId)`
  `List<UserInfo>`
  `getUserInfoList()`
  `List<UserInfo>`
  `getUserList()`
  `List<IdTitle>`
  `paymentTypeList()`
  `List<IdTitle>`
  `scriptTypeList()`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DirectoryDAO

    public DirectoryDAO(User user, String billingId)

  - ### DirectoryDAO

    public DirectoryDAO(User user, DBInfo dbInfo)

- ## Method Details

  - ### getContractStatusList

    public List<IdTitle> getContractStatusList(boolean onlyManual)

  - ### scriptTypeList

    public List<IdTitle> scriptTypeList()

  - ### getContractPaymentTypes

    public IdTitleTreeItem getContractPaymentTypes(Set<Integer> allowedTypeIds)

  - ### paymentTypeList

    public List<IdTitle> paymentTypeList()

  - ### getContractChargeTypes

    public IdTitleTreeItem getContractChargeTypes(Set<Integer> allowedTypeIds)

  - ### chargeTypeList

    public List<IdTitle> chargeTypeList()

  - ### getServiceTypeList

    public List<IdTitle> getServiceTypeList(int moduleId)

  - ### getBillingModuleList

    public List<IdTitle> getBillingModuleList()

  - ### getUserList

    public List<UserInfo> getUserList()
    Returns:
      пользователи с полем `login`

  - ### getUserInfoList

    public List<UserInfo> getUserInfoList()
    Returns:
      пользователи с полем `name`

  - ### getDirectoryVersion

    public long getDirectoryVersion(String directoryItemClass, int moduleId)